<template>
  <el-row :gutter="20">
    <el-col>
      <p class="title">Контактные данные</p>
    </el-col>
    <el-col v-for="item in person_info.addresses" v-bind:key="item.id">
      <p class="defaultText">
        <img src="@/assets/person/location.svg" class="icon-image" alt="">
        <span>
          {{ item.full_name }}
          <span class="label bottom">{{ item.types[0].name }}</span>
        </span>
      </p>
    </el-col>
    <el-col v-for="item in info.emails" v-bind:key="item.id">
      <p class="defaultText">
        <img src="@/assets/person/sms.svg" class="icon-image" alt="">
        <span>
          <span class="label">{{ item.type.name }}</span>
          {{ item.email }}
        </span>
      </p>
    </el-col>
    <el-col v-for="item in info.phones" v-bind:key="item.id">
      <p class="defaultText">
        <img src="@/assets/person/call.svg" class="icon-image" alt="">
        <span>
          <span class="label">{{ item.type.name }}</span>
          {{ item.number }}
        </span>
      </p>
    </el-col>
    <el-col v-if="info.site">
      <p class="defaultText">
        <img src="@/assets/person/global.svg" class="icon-image" alt="">
        <span>
          {{ info.site }}
        </span>
      </p>
    </el-col>
    <template v-if="person_info.people">
      <el-col><hr></el-col>
      <el-col>
        <p class="defaultText">
          <img src="@/assets/person/profile.svg" class="icon-image" alt="">
          <span>
           <span class="label">Подписант</span>
           {{ person_info.people.podpisant?'Да':'Нет' }}
         </span>
        </p>
      </el-col>
      <el-col v-if="person_info.people.podpisant">
        <p class="defaultText">
          <img src="@/assets/person/profile.svg" class="icon-image" alt="">
          <span>
          <span class="label">Должность подписанта</span>
           {{ person_info.people.position }}
        </span>
        </p>
      </el-col>
    </template>
  </el-row>
</template>

<script>
import moment from "moment";

export default {
  props:{
    info:[Object, Array],
    person_info:[Object, Array],
  },
  methods:{
    dateFormat(data){
      if(data !== ''){
        return moment(data).format('DD.MM.YYYY')
      }else{
        return '-'
      }
    },
  }
}
</script>